com.smartgwt.client.widgets.drawing

## Class CircleToCommand

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.drawing.DrawShapeCommand
      - - com.smartgwt.client.widgets.drawing.CircleToCommand

-     public class CircleToCommand
      extends DrawShapeCommand

  Command to draw a segment of a specified circle. Corresponds to the `DrawShapeCommandType.CIRCLETO` command type.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CircleToCommand()`
    `CircleToCommand(Point centerPoint, double radius, double startAngle, double endAngle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setArgs(Point centerPoint, double radius, double startAngle, double endAngle)` Sets the arguments to this "circleto" command.

    - ### Methods inherited from class com.smartgwt.client.widgets.drawing.DrawShapeCommand

      `getOrCreateRef, getType, setArgs, setType`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CircleToCommand

          public CircleToCommand()

    - #### CircleToCommand

          public CircleToCommand(Point centerPoint,
                         double radius,
                         double startAngle,
                         double endAngle)

  - ### Method Detail

    - #### setArgs

          public void setArgs(Point centerPoint,
                     double radius,
                     double startAngle,
                     double endAngle)

      Sets the arguments to this "circleto" command. The `centerPoint` and `radius` arguments specify the circle. The `startAngle` and `endAngle` arguments specify the segment of the circle to draw.
      Parameters:
        `centerPoint` - the center point of the circle.
        `radius` - the radius of the circle.
        `startAngle` - the starting angle (in degrees) of the segment of the circle to draw.
        `endAngle` - the ending angle (in degrees) of the segment of the circle to draw.